/*
 * $Id: f_key.js,v 1.6 2007/01/24 21:38:17 oeuillot Exp $
 */

/**
 *
 * @class hidden f_serverClientStorage extends f_clientStorage
 * @version $Revision: 1.6 $ $Date: 2007/01/24 21:38:17 $
 */

var __static = {
		
	/**
	 * @field private static final number
	 */
	_STORAGE_MAX_SIZE: -1,
	
	/**
	 * @method hidden static
	 * @return boolean
	 */
	IsSupported: function() {
		return true;
	}
}

var __prototype = {
	f_getStorageType: function() {
		return f_clientStorage.SERVER_STORAGE_TYPE;
	},
	f_getStorageMaxSize: function() {
		return f_serverClientStorage._STORAGE_MAX_SIZE;
	},
	f_get: function(name) {
		f_core.Assert(typeof(name)=="string", "Invalid name parameter ("+name+")");

			
		return null;
	},
	f_set: function(name, value) {
		f_core.Assert(typeof(name)=="string", "Invalid name parameter ("+name+")");
		f_core.Assert(value===null || typeof(value)=="string", "Invalid value parameter ("+value+")");
	
				
		return null;
	}
}

new f_class("f_serverClientStorage", null, __static, __prototype, f_clientStorage);
