/*
 * $Id: f_imageResetButton.js,v 1.7 2007/02/02 17:33:43 oeuillot Exp $
 */
 
/**
 * A reset button, resets the form which contains itself.
 *
 * @class f_imageResetButton extends f_imageButton
 * @author Olivier Oeuillot (latest modification by $Author: oeuillot $)
 * @version $Revision: 1.7 $ $Date: 2007/02/02 17:33:43 $
 */

var __prototype = {

	/**
	 * @method protected
	 * @param f_event event
	 * @return boolean
	 */
	f_performImageSelection: function(event) {
		var form = f_core.GetParentForm(this);
		if (form) {
			form.reset();
			
		} else {
			f_core.Error(f_imageResetButton, "FORM component was not found !");
		}
		
		return true;
	}
}

new f_class("f_imageResetButton", null, null, __prototype, f_imageButton);
